
TYPO3.Neos - Bug # 35736

Status: Resolved Priority: Must have
Author: Christian Müller Category:
Created: 2012-04-06 Assigned To: Christian Müller
Updated: 2012-08-31 Due date:
Subject: Fix Handling of CurrentNode
Description

The context holds a currentNode property which is set in the TYPO3.TYPO3 NodeController and used in Typoscript rendering. This is
dangerous as the context is not a singleton and can be overriden due to treatNodesWithContext() for example in link generation. After
that the currentNode is lost. I would propose to move the currentNode and possible other information about the current rendering into
a singleton (NodeRenderingEnvironment tbd.) to prevent it being lost.

The change: https://review.typo3.org/#/c/10173 is a quick fix for the Quebec site to circumvent the problem but shouldn't be merged
(or just as a temporary solution)

Associated revisions
Revision c1d84cfb - 2012-04-23 10:32 - Christian Müller

[BUGFIX] Change Context behavior to avoid mixed context

With this change the context is derived from the node repository
instead from each node, to avoid mixing up contexts during
the rendering process.

Fixes: #35736
Change-Id: Ib4336e57b3eef3198373485cdbee652552f130a1

Revision 78b6d5de - 2012-04-26 12:27 - Christian Müller

[BUGFIX] Change Context behavior to avoid mixed context

With this change the context is derived from the node repository
instead from each node, to avoid mixing up contexts during
the rendering process.

Resolves: #35736
Change-Id: Ib4336e57b3eef3198373485cdbee652552f130a1

History
#1 - 2012-04-06 11:24 - Christian Müller
- Status changed from New to Accepted
- Assigned To set to Christian Müller
- Priority changed from Should have to Must have

#2 - 2012-04-11 17:19 - Gerrit Code Review

Patch set 4 for branch master has been pushed to the review server.
https://review.typo3.org/#/c/10173


It is available at http://review.typo3.org/10173

#3 - 2012-04-11 17:22 - Gerrit Code Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/10260

#4 - 2012-04-11 20:30 - Gerrit Code Review

Patch set 5 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/10173

#5 - 2012-04-11 23:23 - Gerrit Code Review

Patch set 6 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/10173

#6 - 2012-04-11 23:27 - Gerrit Code Review

Patch set 7 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/10173

#7 - 2012-04-12 09:55 - Christian Müller
- Status changed from Accepted to Under Review

#8 - 2012-04-12 12:24 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/10260

#9 - 2012-04-12 12:26 - Gerrit Code Review

Patch set 8 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/10173

#10 - 2012-04-12 14:27 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/10260

#11 - 2012-04-12 15:08 - Gerrit Code Review

Patch set 4 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/10260
#12 - 2012-04-12 21:16 - Gerrit Code Review

Patch set 5 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/10260

#13 - 2012-04-12 21:29 - Gerrit Code Review

Patch set 9 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/10173

#14 - 2012-04-14 09:39 - Gerrit Code Review

Patch set 6 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/10260

#15 - 2012-04-14 10:22 - Gerrit Code Review

Patch set 7 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/10260

#16 - 2012-04-14 21:54 - Gerrit Code Review

Patch set 8 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/10260

#17 - 2012-04-14 22:00 - Gerrit Code Review

Patch set 10 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/10173

#18 - 2012-04-15 01:10 - Gerrit Code Review

Patch set 9 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/10260

#19 - 2012-04-20 15:53 - Gerrit Code Review

Patch set 11 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/10173

#20 - 2012-04-20 15:53 - Gerrit Code Review

Patch set 10 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/10260
#21 - 2012-04-20 19:14 - Gerrit Code Review

Patch set 11 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/10260

#22 - 2012-04-23 09:37 - Gerrit Code Review

Patch set 12 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/10260

#23 - 2012-04-23 10:32 - Gerrit Code Review

Patch set 13 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/10260

#24 - 2012-04-26 12:47 - Gerrit Code Review

Patch set 12 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/10173

#25 - 2012-04-26 14:38 - Christian Müller
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:c1d84cfbe979225da742299343787ebde507a0f9.

#26 - 2012-08-31 10:38 - Robert Lemke
- Project changed from Base Distribution to TYPO3.Neos
